Skip to main content
`Ctrl`+`K`

# DMGetLocalBoundingBox

Returns the bounding box for the piece of the `DM` on this process.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetLocalBoundingBox(DM dm, PetscReal lmin[], PetscReal lmax[])

Not Collective

## Input Parameter

- dm - the `DM`

## Output Parameters

- lmin - local minimum coordinates (length coord dim, optional)

- lmax - local maximum coordinates (length coord dim, optional)

## Note

If the `DM` is a `DMDA` and has no coordinates, the index bounds are returned instead.

## See Also

`DM`, `DMGetCoordinates()`, `DMGetCoordinatesLocal()`, `DMGetBoundingBox()`

## Level

beginner

## Location

src/dm/interface/dmcoordinates.c

## Implementations

DMGetLocalBoundingBox_DA() in src/dm/impls/da/dageometry.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages